Рекомендация Debian по безопасности

DSA-4613-1 libidn2 -- обновление безопасности

Дата сообщения:
01.02.2020
Затронутые пакеты:
libidn2
Уязвим:
Да
Ссылки на базы данных по безопасности:
В системе отслеживания ошибок Debian: Ошибка 942895.
В каталоге Mitre CVE: CVE-2019-18224.
Более подробная информация:

В функции idn2_to_ascii_4i() в libidn2, библиотеке GNU для интернационализованны доменных имён (IDN), было обнаружено переполнение буфера, которое может приводить к отказу в обслуживании или выполнению произвольного кода при обработке длинной строки с доменным именем.

В стабильном выпуске (buster) эта проблема была исправлена в версии 2.0.5-1+deb10u1.

Рекомендуется обновить пакеты libidn2.

С подробным статусом поддержки безопасности libidn2 можно ознакомиться на соответствующей странице отслеживания безопасности по адресу https://security-tracker.debian.org/tracker/libidn2